GNU bug report logs - #34610
27.0.50; wdired gets rename file and directory errors when using gls and -F or --classify switch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jeffrey Spencer <jeffspencerd@HIDDEN>; dated Thu, 21 Feb 2019 22:54:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 34610 <at> debbugs.gnu.org:


Received: (at 34610) by debbugs.gnu.org; 24 Aug 2019 00:52:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 23 20:52:28 2019
Received: from localhost ([127.0.0.1]:41416 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1KI8-00015m-Gi
	for submit <at> debbugs.gnu.org; Fri, 23 Aug 2019 20:52:28 -0400
Received: from mail-pg1-f181.google.com ([209.85.215.181]:38449)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1i1KI6-00015Y-6o
 for 34610 <at> debbugs.gnu.org; Fri, 23 Aug 2019 20:52:27 -0400
Received: by mail-pg1-f181.google.com with SMTP id e11so6691349pga.5
 for <34610 <at> debbugs.gnu.org>; Fri, 23 Aug 2019 17:52:26 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc
 :content-transfer-encoding;
 bh=hwmyMWI3CCOiwoigUCDkrrOsQHzZKXvp5hByEYC/55c=;
 b=t8pZb4i1W5skqCyisGI2P3A8U7EArOt8s7pZJ8vk3xCDT4nHuuBoEN2zFY7cuyd9Cv
 habfMO2Ph30wZ9pR+bfQW3/eXb7/Nd08bDt1peQFgG87MugXmtei7ueVSIy/kDIdGmy5
 aXLMsRDbHw29gdBpth2HKVyxQBWpM40M1z7aZU+zvrAaPCfjZjzYb6h9OW5wSXqN/wki
 sJGiZ0T0aZussM6rivUDR9hYbl3FL2BbElNZtYkq7HByzHrdGby6d+SB0r/b8W9mbFNs
 V5JE+yhODCAeetcyXMfg+GUIr2cw4HB3+25zhN+g20SirQ7zuyD95OBw5W/3MB0gEjZe
 YZYQ==
X-Gm-Message-State: APjAAAVSxaQYUYafZ6uXzb4fn1HKZUpC+CVuMtgfuyYawoDp6fd3z2vC
 Rs9e0chobnb9ct74e9Nk9vnTk8uKeA0SU34e2Dg=
X-Google-Smtp-Source: APXvYqyUflTtbha1JtvAgmK65mh0xonBmYDvMcP3ChcN/sr7PVCa3wqLIpHcCvErAP7XhwF35Xa8L3nxducDwUFQuxE=
X-Received: by 2002:a63:5f01:: with SMTP id t1mr5771670pgb.200.1566607940297; 
 Fri, 23 Aug 2019 17:52:20 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Sat, 24 Aug 2019 02:52:08 +0200
Message-ID: <CADwFkmmJ82mDQMK9N6DKO1C8ZJRuALfK90LPC53NJuqJWoo-3g@HIDDEN>
Subject: Re: bug#34610: 27.0.50; wdired gets rename file and directory errors
 when using gls and -F or --classify switch
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 34610
Cc: Jeffrey Spencer <jeffspencerd@HIDDEN>, 34610 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> Jeffrey Spencer <jeffspencerd@HIDDEN> writes:
>
>> This is the only setup besides -Q default:
>> (setq insert-directory-program "gls" dired-use-ls-dired t)
>> (setq dired-listing-switches "-a --classify -lGhHA  --group-directories-=
first")
>> "-a --classify -lGhHA  --group-directories-first"
>>
>> Renaming directories doesn't work right due to the --classify (-F)
>> switches using gls on Mac. Also, probably has problems with
>> executables due to adding '*' to the end of the file name but I didn't
>> check. I had to right an advice around wdired-change-mode to remove
>> the switches and then re-add the -F --classify.
>>
>> Here is the errors with just a simple truing to add a character to any d=
irectory:
>>
>> Rename =E2=80=98/Users/Me/Downloads/youtube/test/k=E2=80=99 to =E2=80=98=
/Users/Me/Downloads/youtube/test/k/=E2=80=99 failed:
>> (file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/k=
 /Users/Me/Downloads/youtube/test/k/k)
>> Rename =E2=80=98/Users/Me/Downloads/youtube/test/kdkd=E2=80=99 to =E2=80=
=98/Users/Me/Downloads/youtube/test/kdkd/=E2=80=99 failed:
>> (file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/k=
dkd /Users/Me/Downloads/youtube/test/kdkd/kdkd)
>> Rename =E2=80=98/Users/Me/Downloads/youtube/test/l=E2=80=99 to =E2=80=98=
/Users/Me/Downloads/youtube/test/l/=E2=80=99 failed:
>> (file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/l=
 /Users/Me/Downloads/youtube/test/l/l)
>> Rename =E2=80=98/Users/Me/Downloads/youtube/test/kdkd/kdk=E2=80=99 to =
=E2=80=98/Users/Me/Downloads/youtube/test/kdkd/kdk/=E2=80=99 failed:
>> (file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/k=
dkd/kdk /Users/Me/Downloads/youtube/test/kdkd/kdk/kdk)
>>
>> 4 rename actions failed
>
> This sounds similar to bug#34915[1], whose fix was recently pushed to
> master[2].  Can you please check whether that also fixes your issue?  If
> so, I will merge the two reports as duplicate.

I'm seeing a failure in the test suite on current master on MacOS that
does not show up on my Debian GNU/Linux system.  The failing test is
the test case for Bug#34915.

(Shell command succeeded with no output)
Connection file
"/var/folders/pj/rhx0gxy15tv3vx6l3mdy0qvm0000gn/T/test-dir-nheUrY/server"
deleted
Press C-c C-c when finished or C-c ESC to abort changes
1 rename actions failed--type ? for details
Connection file
"/var/folders/pj/rhx0gxy15tv3vx6l3mdy0qvm0000gn/T/test-dir-nheUrY/server"
deleted
Test wdired-test-bug34915 backtrace:
  signal(ert-test-failed (((should (equal dir (pop names))) :form (equ
  ert-fail(((should (equal dir (pop names))) :form (equal "bar@" "wbar
  #f(compiled-function () #<bytecode 0x1fec25c0680d>)()
  ert--run-test-internal(#s(ert--test-execution-info :test #s(ert-test
  ert-run-test(#s(ert-test :name wdired-test-bug34915 :documentation "
  ert-run-or-rerun-test(#s(ert--stats :selector (not (or ... ...)) :te
  ert-run-tests((not (or (tag :expensive-test) (tag :unstable))) #f(co
  ert-run-tests-batch((not (or (tag :expensive-test) (tag :unstable)))
  ert-run-tests-batch-and-exit((not (or (tag :expensive-test) (tag :un
  eval((ert-run-tests-batch-and-exit '(not (or (tag :expensive-test) (
  command-line-1(("-L" ":." "-l" "ert" "-l" "lisp/wdired-tests" "--eva
  command-line()
  normal-top-level()
Test wdired-test-bug34915 condition:
    (ert-test-failed
     ((should
       (equal dir
          (pop names)))
      :form
      (equal "bar@" "wbar@")
      :value nil :explanation
      (arrays-of-different-length 4 5 "bar@" "wbar@" first-mismatch-at 0)))
   FAILED  3/5  wdired-test-bug34915 (0.065950 sec)

When I test manually using the flags "-lF", I'm unable to rename a
symlink in wdired and get this error:

   "1 rename actions failed--type ? for details"

I'm using the stock ls from BSD.  Here's the difference in output from
GNU ls and BSD ls on my two machines:

macos$ mkdir tmp
macos$ cd tmp
macos$ touch a
macos$ ln -s a b
macos$ ls -lF
total 8
-rw-r--r--  1 skangas  staff  0 Aug 24 02:41 a
lrwxr-xr-x  1 skangas  staff  1 Aug 24 02:41 b@ -> a
macos$

debian$ mkdir tmp
debian$ cd tmp
debian$ touch a
debian$ ln -s a b
debian$ ls -lF
total 0
-rw-r--r-- 1 skangas skangas 0 Aug 24 02:42 a
lrwxr-xr-x 1 skangas skangas 1 Aug 24 02:42 b -> a
debian$

AFAICT, the difference is that the BSD ls appends an @ character to
the file name, which wdired incorrectly interprets as part of the file
name.

Thanks,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34610; Package emacs. Full text available.

Message received at 34610 <at> debbugs.gnu.org:


Received: (at 34610) by debbugs.gnu.org; 30 May 2019 17:41:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 13:41:00 2019
Received: from localhost ([127.0.0.1]:33820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWP2y-00047l-2u
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 13:41:00 -0400
Received: from mail-yw1-f42.google.com ([209.85.161.42]:33269)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeffspencerd@HIDDEN>) id 1hWP2w-00047X-Sh
 for 34610 <at> debbugs.gnu.org; Thu, 30 May 2019 13:40:59 -0400
Received: by mail-yw1-f42.google.com with SMTP id r200so2992945ywe.0
 for <34610 <at> debbugs.gnu.org>; Thu, 30 May 2019 10:40:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=jHDnp+ZlOWnssvXRPEYUQeMxa+Q0hMR9lK8Ewgcrs3M=;
 b=vWFlWmzHAhUtqqVULREFg+lCOAIHXcJoohtsZuZqJ2L23jo1In508Rub516f7oW0MO
 1eg/9yqaYLBD2hQAKwJ0VHfNbw9dbAlO/xkjyFtqYFxl+Z3x6JdA3jNf9tLBGbT9X3wi
 C6OhQzNnZ2dNI8gKUsp9Hrs88pr4B1GaTnF9qQw/5S/d2KLTtMX3kKZztYDnPUVvVgOB
 xNKmg3BP8d6xTIvl7p2fXzOg1QJS2Qkr2ORfDbn7iugAfUAtH10oVmRvxluvFm3Um1QT
 EpX75MCNFQbp/GkLKYj0ECAG38oMkEG7CYiXjjejjJC7NY+0eGedWjpgk2HNV1rX2rJX
 HB3A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=jHDnp+ZlOWnssvXRPEYUQeMxa+Q0hMR9lK8Ewgcrs3M=;
 b=WKvr023fSZSgsjHK8tVu6pbnXPh5uLU5oyciMUMDpSuP+pXdCZQgTcHPYM8DP+ehoD
 Fo+eD3FcUFaR9C9Jm+NsJmLwHGAh031050sUDarPmJEeegPlqIzYs6o0Spm95wPvf1WP
 irJ61SVoEQT2b3e9lQbrDpmeFsn+tw3PGbJb/PVWQ280OINtWsNtzIx4ywlCXoWBN/wq
 l3IeZfkZAoSDPxkAcIpMNBCxiC6tL8pBwRee+8A36loXJziAZP/e1ptWEGI5RKhN4jtp
 25nm1zlIwJTl5FqkU0b8+JogROUsSHTEjthnzbpBqeUgvRidwucwMwXwX+4IBik5bx2n
 aBUw==
X-Gm-Message-State: APjAAAUbQffNGRo7J0CK3zDtiGfppAMgsq9DMdn/F+OqD3NOgUAXDJ8T
 zdnYBJ++nsrVJvU+YVCsFLMOpjyAHeVUlSxU+m89kxoZ
X-Google-Smtp-Source: APXvYqzdZ6Z/R7QgNCqyADxm729WMcvEdOsgCEYQ+lAdui3JywxFQcNj3bA738ZvtBHUs+b25hn9N1Zp0D0GaC36cAY=
X-Received: by 2002:a81:9a8a:: with SMTP id r132mr2942945ywg.126.1559238053033; 
 Thu, 30 May 2019 10:40:53 -0700 (PDT)
MIME-Version: 1.0
References: <CALmFPZ1vkLy1SpNgvOKK1RFP-QsEn_8yqCpH3Xrixe17mpONdw@HIDDEN>
 <87d0l8pbdf.fsf@HIDDEN> <87a7f4uoo6.fsf@HIDDEN>
 <CALmFPZ2LYLo_t81NOvyLndiL8WC87VMQ46naGzNHjOKHrugjZA@HIDDEN>
 <87woi8rt6w.fsf@HIDDEN>
In-Reply-To: <87woi8rt6w.fsf@HIDDEN>
From: Jeffrey Spencer <jeffspencerd@HIDDEN>
Date: Fri, 31 May 2019 02:40:41 +0900
Message-ID: <CALmFPZ3sJc_xfeNJsJ9ZjohVRsuWMN_G8+Syqd+phu0TgHmSCA@HIDDEN>
Subject: Re: bug#34610: 27.0.50; wdired gets rename file and directory errors
 when using gls and -F or --classify switch
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000457c02058a1e6681"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34610
Cc: 34610 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000457c02058a1e6681
Content-Type: text/plain; charset="UTF-8"

The fix appears to work fine in my testing on a emacs -Q with just the
switches. I didn't remove my advice around the call to wdired to test in my
own setup because now I like that the classify switches and executable
marks are removed, since this just seems to make that text unwritable. It
makes editing multiple files with multiple-curosrs much easier if these
extra characters aren't there for me in wdired.

On Thu, May 30, 2019 at 10:02 PM Basil L. Contovounesios <contovob@HIDDEN>
wrote:

> Jeffrey Spencer <jeffspencerd@HIDDEN> writes:
>
> > Sorry, I installed from HEAD awhile ago to fix a problem with magit,
> > but haven't been able to update to the current head to test again as I
> > patched it with an advice currently. I will try to update to Head this
> > week then let you know.
>
> Great, just be sure to select "Reply All" in your next message, so that
> the bug address 34610 <at> debbugs.gnu.org is included in the To: or Cc:
> header and others reading this bug report can see it as well.
>
> TIA,
>
> --
> Basil
>

--000000000000457c02058a1e6681
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">The fix appears to work fine in my testing on a emacs -Q w=
ith just the switches. I didn&#39;t remove my advice around the call to wdi=
red to test in my own setup because now I like that the classify switches a=
nd executable marks are removed, since this just seems to make that text un=
writable. It makes editing multiple files with multiple-curosrs much easier=
 if these extra characters aren&#39;t there for me in wdired.</div><br><div=
 class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Thu, May 30=
, 2019 at 10:02 PM Basil L. Contovounesios &lt;<a href=3D"mailto:contovob@t=
cd.ie">contovob@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_q=
uote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,2=
04);padding-left:1ex">Jeffrey Spencer &lt;<a href=3D"mailto:jeffspencerd@gm=
ail.com" target=3D"_blank">jeffspencerd@HIDDEN</a>&gt; writes:<br>
<br>
&gt; Sorry, I installed from HEAD awhile ago to fix a problem with magit,<b=
r>
&gt; but haven&#39;t been able to update to the current head to test again =
as I<br>
&gt; patched it with an advice currently. I will try to update to Head this=
<br>
&gt; week then let you know.<br>
<br>
Great, just be sure to select &quot;Reply All&quot; in your next message, s=
o that<br>
the bug address <a href=3D"mailto:34610 <at> debbugs.gnu.org" target=3D"_blank">=
34610 <at> debbugs.gnu.org</a> is included in the To: or Cc:<br>
header and others reading this bug report can see it as well.<br>
<br>
TIA,<br>
<br>
-- <br>
Basil<br>
</blockquote></div>

--000000000000457c02058a1e6681--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34610; Package emacs. Full text available.

Message received at 34610 <at> debbugs.gnu.org:


Received: (at 34610) by debbugs.gnu.org; 30 May 2019 13:02:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 09:02:57 2019
Received: from localhost ([127.0.0.1]:60965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWKhs-0002KA-Pt
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 09:02:57 -0400
Received: from mail-ed1-f65.google.com ([209.85.208.65]:46138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hWKhr-0002Jt-0q
 for 34610 <at> debbugs.gnu.org; Thu, 30 May 2019 09:02:55 -0400
Received: by mail-ed1-f65.google.com with SMTP id n12so1053533edt.13
 for <34610 <at> debbugs.gnu.org>; Thu, 30 May 2019 06:02:54 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=RRyiY/mAuawkOaKdtSzxKgUekQDtpBVO2uXQqpyOWCI=;
 b=pXr1LjBgJuZI40+l6lRQLouxhMBvHmBkT7elSK0O40HPGda+YplJRpsZ6HjK98/DSs
 l9NrEiwcvE0S8UzPEZG3kIDcC93S0u31BTypHoDk/QQs99KpER7LHXD95R6eBEZjggI/
 4R+xUnE5szjeicbzTa0Iei4EgFSJSg5ltLtv/LqNCz0OWy+FrFZH9D1YGClvfMMdoaPj
 CXcCzhaCMwQ61iFWVSWhKlmatmqeT+P6UjvWSSM9ETSiHN0QErm47cXpgRp5Th62Ve9P
 T8ZLVvF9H17QRr2oBNbnvUfuVXueULObn5lgUvkAP1Ck5db6gEJi8AE/F25TdLg6TKOy
 pn7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=RRyiY/mAuawkOaKdtSzxKgUekQDtpBVO2uXQqpyOWCI=;
 b=YZq5CjuQDD8yLstZAOHlzmqEq/4njkUM8pzX/Pa8lB8E+zEBdPryquXMCMGWr7XFtu
 ZIrW4M9p2Ty/4qM+MQw+H+yX+1uZv2bcbrndmBBbSKCEHCCpPH/7Q3bkRL+Tdxtl1Lgn
 b+IgCp43kb0tyoB19HJzUmWiQsB8xeVPv1rpLOUDBxOvlvEci5eMaFXgQOR+w81y12eu
 6D4Ol5c0S7Sw+5IEzs6KLVG4TfMmie8tPbzv1lriloBIOF8P4+yccAuSGnjwdJwNiYzm
 63+/vmnYJKKggH5ftTXyciJ4ugr3Y/DoF1Pcq74C54AEmBcGjB5sLgmym2lPGh9i+Xn+
 aRcw==
X-Gm-Message-State: APjAAAU0KgVwY9AazcD8kx5Fv3gQ2MMR2Kam+ux20hfk/e+Xl1+6yYFk
 9X3qcKByL0ZBgpYHnjz8+FYVHg==
X-Google-Smtp-Source: APXvYqy2GzcFVejn5MN8ejJJeMSwjt5fXThMseUWxZL3NNhcpkdbW0X8O0W/jh0J6Ab2XQfW0kj7KQ==
X-Received: by 2002:a17:906:6a97:: with SMTP id
 p23mr3325750ejr.203.1559221369093; 
 Thu, 30 May 2019 06:02:49 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:8cad:ae29:555d:852d])
 by smtp.gmail.com with ESMTPSA id v16sm710491edm.56.2019.05.30.06.02.47
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 30 May 2019 06:02:48 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Jeffrey Spencer <jeffspencerd@HIDDEN>
Subject: Re: bug#34610: 27.0.50;
 wdired gets rename file and directory errors when using gls and -F or
 --classify switch
References: <CALmFPZ1vkLy1SpNgvOKK1RFP-QsEn_8yqCpH3Xrixe17mpONdw@HIDDEN>
 <87d0l8pbdf.fsf@HIDDEN> <87a7f4uoo6.fsf@HIDDEN>
 <CALmFPZ2LYLo_t81NOvyLndiL8WC87VMQ46naGzNHjOKHrugjZA@HIDDEN>
Date: Thu, 30 May 2019 14:02:47 +0100
In-Reply-To: <CALmFPZ2LYLo_t81NOvyLndiL8WC87VMQ46naGzNHjOKHrugjZA@HIDDEN>
 (Jeffrey Spencer's message of "Thu, 30 May 2019 21:21:03 +0900")
Message-ID: <87woi8rt6w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 34610
Cc: 34610 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Jeffrey Spencer <jeffspencerd@HIDDEN> writes:

> Sorry, I installed from HEAD awhile ago to fix a problem with magit,
> but haven't been able to update to the current head to test again as I
> patched it with an advice currently. I will try to update to Head this
> week then let you know.

Great, just be sure to select "Reply All" in your next message, so that
the bug address 34610 <at> debbugs.gnu.org is included in the To: or Cc:
header and others reading this bug report can see it as well.

TIA,

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34610; Package emacs. Full text available.

Message received at 34610 <at> debbugs.gnu.org:


Received: (at 34610) by debbugs.gnu.org; 30 May 2019 12:12:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu May 30 08:12:22 2019
Received: from localhost ([127.0.0.1]:60916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hWJut-000749-AG
	for submit <at> debbugs.gnu.org; Thu, 30 May 2019 08:12:19 -0400
Received: from mail-ed1-f67.google.com ([209.85.208.67]:45073)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hWJur-00073u-C0
 for 34610 <at> debbugs.gnu.org; Thu, 30 May 2019 08:12:17 -0400
Received: by mail-ed1-f67.google.com with SMTP id f20so8760671edt.12
 for <34610 <at> debbugs.gnu.org>; Thu, 30 May 2019 05:12:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=zmk5vPnBibcs3J5Yi9m2AzLA1cXBOY4E1LIu/X2iCGg=;
 b=CZ9L/4/1204X3MQwLKUuGJRPt2exZlWOc3RE+4ZElknyvCKejv+lT7UIcpI/EYXHm9
 NxX5tMJrrmGvJXG294hhLQEJ7KC04aS3ptojAsRz30b5igm/TQE82b2t+QJFMQP3/J/r
 cy/NCPY90RapP+3+i1Lj6x1n09N+PKgpfEvSYfdoHpY9iyJ4mT30P/Iaw6mkChOZlL+/
 M87UE48Lwx3IaEFSVK66L4j0VnpLX2G3kmcPEUFiINt1TQXzwqHTOxf263eOeDOJjd67
 46GcGpy36TpJrGSuMyWJDSKfOZAXMTUKSgHrQ7ItwKWD8G48HKSE1iJwDbpQmBMoDdjF
 NiHw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=zmk5vPnBibcs3J5Yi9m2AzLA1cXBOY4E1LIu/X2iCGg=;
 b=QMuUDwi0EbQMgJMNcOuPWEOcSuuCEgjE6TlXOxAXB0vIIPgq6ASrkAdxU3EWehZuOG
 483so+gBJpNfsvupuQd4zCyJq4bdxo7X8gVXe4nyzoGmV61zqYPU0NnEwJEXxwjEJ1hD
 nNPofSa/yvswjgXLr62nkKTkv7wxgNFwX2Mrj7Qr5AJMAMvgxek8m1YPvhk+cvB6r3qI
 HZsnxToIZXOpF7CSwIqUACGCvcQuBywaA0RRjaanA1A1wLEBFgXfJXeD5uyxJ5YYi1iG
 V0V2hcnx5UMIZO4/uh5d0efhflai6BDzz1vs8DVlAXC8kALtENLCREg8SS8yp0VrmJoP
 +j/Q==
X-Gm-Message-State: APjAAAWJnuuM/xnxEUzPVxkvlxGv6PJZyBRyeFUu9g5sapjryXOfU+KK
 KwLy9elxcEboOma3zv63Z34dJA==
X-Google-Smtp-Source: APXvYqwdjPSgZVAIUriDQ3U/RbdxV14RFc28/wd42bWQNPmz/DG/FrlUNaNhHXBW4AKdPUTIS1u2CA==
X-Received: by 2002:a17:906:4d03:: with SMTP id
 r3mr3060254eju.159.1559218331552; 
 Thu, 30 May 2019 05:12:11 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:8cad:ae29:555d:852d])
 by smtp.gmail.com with ESMTPSA id h2sm398320ejj.42.2019.05.30.05.12.10
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Thu, 30 May 2019 05:12:10 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Jeffrey Spencer <jeffspencerd@HIDDEN>
Subject: Re: bug#34610: 27.0.50;
 wdired gets rename file and directory errors when using gls and -F or
 --classify switch
References: <CALmFPZ1vkLy1SpNgvOKK1RFP-QsEn_8yqCpH3Xrixe17mpONdw@HIDDEN>
 <87d0l8pbdf.fsf@HIDDEN>
Date: Thu, 30 May 2019 13:12:09 +0100
In-Reply-To: <87d0l8pbdf.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Sat, 27 Apr 2019 00:58:36 +0100")
Message-ID: <87a7f4uoo6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.3 (/)
X-Debbugs-Envelope-To: 34610
Cc: 34610 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.3 (-)

Ping!

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> Jeffrey Spencer <jeffspencerd@HIDDEN> writes:
>
>> This is the only setup besides -Q default:
>> (setq insert-directory-program "gls" dired-use-ls-dired t)
>> (setq dired-listing-switches "-a --classify -lGhHA  --group-directories-=
first")
>> "-a --classify -lGhHA  --group-directories-first"
>>
>> Renaming directories doesn't work right due to the --classify (-F)
>> switches using gls on Mac. Also, probably has problems with
>> executables due to adding '*' to the end of the file name but I didn't
>> check. I had to right an advice around wdired-change-mode to remove
>> the switches and then re-add the -F --classify.
>>
>> Here is the errors with just a simple truing to add a character to any d=
irectory:
>>
>> Rename =E2=80=98/Users/Me/Downloads/youtube/test/k=E2=80=99 to =E2=80=98=
/Users/Me/Downloads/youtube/test/k/=E2=80=99 failed:
>> (file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/k
>> /Users/Me/Downloads/youtube/test/k/k)
>> Rename =E2=80=98/Users/Me/Downloads/youtube/test/kdkd=E2=80=99 to
>> =E2=80=98/Users/Me/Downloads/youtube/test/kdkd/=E2=80=99 failed:
>> (file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/k=
dkd
>> /Users/Me/Downloads/youtube/test/kdkd/kdkd)
>> Rename =E2=80=98/Users/Me/Downloads/youtube/test/l=E2=80=99 to =E2=80=98=
/Users/Me/Downloads/youtube/test/l/=E2=80=99 failed:
>> (file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/l
>> /Users/Me/Downloads/youtube/test/l/l)
>> Rename =E2=80=98/Users/Me/Downloads/youtube/test/kdkd/kdk=E2=80=99 to
>> =E2=80=98/Users/Me/Downloads/youtube/test/kdkd/kdk/=E2=80=99 failed:
>> (file-error Renaming Invalid argument
>> /Users/Me/Downloads/youtube/test/kdkd/kdk
>> /Users/Me/Downloads/youtube/test/kdkd/kdk/kdk)
>>
>> 4 rename actions failed
>
> This sounds similar to bug#34915[1], whose fix was recently pushed to
> master[2].  Can you please check whether that also fixes your issue?  If
> so, I will merge the two reports as duplicate.
>
> [1]: https://debbugs.gnu.org/34915
>
> [2: 6d8e0fc5aa]: Make wdired-mode ignore ls file indicators
>   2019-04-25 19:17:23 +0200
>   https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3D6d8e0fc5aa7673=
540486af9ecbfc0a3e23c305cf

--=20
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34610; Package emacs. Full text available.

Message received at 34610 <at> debbugs.gnu.org:


Received: (at 34610) by debbugs.gnu.org; 26 Apr 2019 23:58:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 26 19:58:50 2019
Received: from localhost ([127.0.0.1]:33914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hKAjy-0003tI-K5
	for submit <at> debbugs.gnu.org; Fri, 26 Apr 2019 19:58:50 -0400
Received: from mail-ed1-f53.google.com ([209.85.208.53]:35898)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hKAjw-0003t2-HQ
 for 34610 <at> debbugs.gnu.org; Fri, 26 Apr 2019 19:58:49 -0400
Received: by mail-ed1-f53.google.com with SMTP id a8so2466359edx.3
 for <34610 <at> debbugs.gnu.org>; Fri, 26 Apr 2019 16:58:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=VhF2uCllwP0N7e5CjKm7zfBbqRtlxaE9naBSJqz/Nig=;
 b=WVfeT3LESDo6iW0IbtMkqU2WzL6MyMXrM0uzpIcWqzaBBK0qRcCtyKa/Cdr1BYPZym
 W91bN3jF29BtW1kGD7Z91UNWwW69vCR3oZmUO+XB6NZP3B/MltAx0ojbO72xh2B2jD63
 BKy2zRfVX3g7STAHIzy6dUmL06CFcCDTM+cExegyU9LRAQG1hVXOEz9S/zSvaYzMxHJa
 jZ6ruyvYHUtgLHTlsfC5RX9T/3x+2W94jHlo/Qp5Ey9xvMdD9DjuzWYm613MCmWNjIgP
 5v6SAOUKS2/xa/jq21PVHl2I0Ixh1CE83/BtH+EQyMIOcPMWPvGymeRGWJ/dz07PSMXI
 adsg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=VhF2uCllwP0N7e5CjKm7zfBbqRtlxaE9naBSJqz/Nig=;
 b=TFTqN4sxQcNV3WEIe0cNDmCVshFVP6BSOkiNb8YUHTUrb4vQ5cNd2YXev0pkXLioWV
 F8naeSDqo+6wRvFqtYp5YjKJpyWgRALd2Ws47Ma8NKwVS6HDb6GEZbsogmZceZ5ZMPBS
 of75HLLuJuVbFsoBHwa+0WHmcvdXrbBWuK+/FCpnF94UsYahbS/HefUchyQUK11qNua4
 RkGxsvCWKbJjbPTgUvRLL7eeyzf48SMzsOSc8adrc1R5+IqQ79DmuIa2Yhk17L/oojke
 1HndVW3WGZwI32PnytMbL0Udw+Md75oIP2x1mGlkDfQjRo51cl6XQZ+SzPCtGQg/bRxA
 Nj+w==
X-Gm-Message-State: APjAAAWyX3oervx+1gqD58KeOUuy23PCw8U+mYYgf4f2b/FtY+o7+AZq
 IMUPCYi9xOOUQNnIqbmBiye/Fg==
X-Google-Smtp-Source: APXvYqxXHKHzKy5caM5FcPLQNh4oTo+jCZnQxNdw0NSnmCji0GFMx8XIIT/D+ik0Nu+uPYzgQEWbxw==
X-Received: by 2002:a50:aa76:: with SMTP id p51mr23849667edc.62.1556323122691; 
 Fri, 26 Apr 2019 16:58:42 -0700 (PDT)
Received: from localhost ([2a02:8084:20e2:c380:6fa:38d6:1fce:ddb3])
 by smtp.gmail.com with ESMTPSA id n64sm7148617edc.82.2019.04.26.16.58.41
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Fri, 26 Apr 2019 16:58:41 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Jeffrey Spencer <jeffspencerd@HIDDEN>
Subject: Re: bug#34610: 27.0.50;
 wdired gets rename file and directory errors when using gls and -F or
 --classify switch
References: <CALmFPZ1vkLy1SpNgvOKK1RFP-QsEn_8yqCpH3Xrixe17mpONdw@HIDDEN>
Date: Sat, 27 Apr 2019 00:58:36 +0100
In-Reply-To: <CALmFPZ1vkLy1SpNgvOKK1RFP-QsEn_8yqCpH3Xrixe17mpONdw@HIDDEN>
 (Jeffrey Spencer's message of "Fri, 22 Feb 2019 07:31:03 +0900")
Message-ID: <87d0l8pbdf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 34610
Cc: 34610 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jeffrey Spencer <jeffspencerd@HIDDEN> writes:

> This is the only setup besides -Q default:
> (setq insert-directory-program "gls" dired-use-ls-dired t)
> (setq dired-listing-switches "-a --classify -lGhHA  --group-directories-f=
irst")
> "-a --classify -lGhHA  --group-directories-first"
>
> Renaming directories doesn't work right due to the --classify (-F)
> switches using gls on Mac. Also, probably has problems with
> executables due to adding '*' to the end of the file name but I didn't
> check. I had to right an advice around wdired-change-mode to remove
> the switches and then re-add the -F --classify.
>
> Here is the errors with just a simple truing to add a character to any di=
rectory:
>
> Rename =E2=80=98/Users/Me/Downloads/youtube/test/k=E2=80=99 to =E2=80=98/=
Users/Me/Downloads/youtube/test/k/=E2=80=99 failed:
> (file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/k =
/Users/Me/Downloads/youtube/test/k/k)
> Rename =E2=80=98/Users/Me/Downloads/youtube/test/kdkd=E2=80=99 to =E2=80=
=98/Users/Me/Downloads/youtube/test/kdkd/=E2=80=99 failed:
> (file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/kd=
kd /Users/Me/Downloads/youtube/test/kdkd/kdkd)
> Rename =E2=80=98/Users/Me/Downloads/youtube/test/l=E2=80=99 to =E2=80=98/=
Users/Me/Downloads/youtube/test/l/=E2=80=99 failed:
> (file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/l =
/Users/Me/Downloads/youtube/test/l/l)
> Rename =E2=80=98/Users/Me/Downloads/youtube/test/kdkd/kdk=E2=80=99 to =E2=
=80=98/Users/Me/Downloads/youtube/test/kdkd/kdk/=E2=80=99 failed:
> (file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/kd=
kd/kdk /Users/Me/Downloads/youtube/test/kdkd/kdk/kdk)
>
> 4 rename actions failed

This sounds similar to bug#34915[1], whose fix was recently pushed to
master[2].  Can you please check whether that also fixes your issue?  If
so, I will merge the two reports as duplicate.

[1]: https://debbugs.gnu.org/34915

[2: 6d8e0fc5aa]: Make wdired-mode ignore ls file indicators
  2019-04-25 19:17:23 +0200
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3D6d8e0fc5aa767354=
0486af9ecbfc0a3e23c305cf

Thanks,

--=20
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#34610; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Feb 2019 22:53:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Feb 21 17:53:10 2019
Received: from localhost ([127.0.0.1]:59930 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gwxDI-00068M-Kc
	for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 17:53:09 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42643)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jeffspencerd@HIDDEN>) id 1gwwsH-0005bU-Va
 for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 17:31:26 -0500
Received: from lists.gnu.org ([209.51.188.17]:34643)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <jeffspencerd@HIDDEN>)
 id 1gwwsC-0006qc-4h
 for submit <at> debbugs.gnu.org; Thu, 21 Feb 2019 17:31:20 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57012)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <jeffspencerd@HIDDEN>) id 1gwwsA-0008T8-Dk
 for bug-gnu-emacs@HIDDEN; Thu, 21 Feb 2019 17:31:20 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jeffspencerd@HIDDEN>) id 1gwws8-0006pI-Q6
 for bug-gnu-emacs@HIDDEN; Thu, 21 Feb 2019 17:31:18 -0500
Received: from mail-yb1-xb2c.google.com ([2607:f8b0:4864:20::b2c]:36818)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jeffspencerd@HIDDEN>)
 id 1gwws8-0006om-DN
 for bug-gnu-emacs@HIDDEN; Thu, 21 Feb 2019 17:31:16 -0500
Received: by mail-yb1-xb2c.google.com with SMTP id f5so106992ybf.3
 for <bug-gnu-emacs@HIDDEN>; Thu, 21 Feb 2019 14:31:16 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=N0zjyXoQPVyQeSxGcrbxzmeVdLmY9n+yHsnFJvTKYd8=;
 b=gLQ5QMPxAm6yE5TlFHV4iCplz+PFZV2l6vphi2BKdCZyz43T+ARg36K2NlWmalCNvP
 G6y38lTiMpo8BhIpM4fHmmNMTq8Tr1FIDJM3Vui4dmLo2avsVVmZ//gTSrNCd+EgAwqj
 WppIcZ4mJfpCuLE3rdlQn1Yz/Fxzsjdg3Mw91C5xgQ6sSHBG1I4f8vvN4oKCHv1Z0zQ2
 pym24+LZ8IaiMg05lWkKVXDwVKrLLjO/UDyscFRGYlXI8jg9A+iwFYHFT9ZfShFf1NVf
 BVfdqcnxdLd9Dg3raNex/ET6HF/Vx9rjB2OYbnJTHpQg2bLIAFEvTteVOPhEgCAop9tO
 +igw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=N0zjyXoQPVyQeSxGcrbxzmeVdLmY9n+yHsnFJvTKYd8=;
 b=tNO+5fw7bAOKBzM5nNvj3NAvX+YG9/MSF02/lSM/jct0xoAvZsCXpncT0ka01mIQFJ
 6QHWSWa3oxAxTDN6mlM6rRcOlVt8CYBPT/mE8uJEcRvlcDx3LdJSYXeC4sFXoSysHJyQ
 nTC4KP6krutj99O23uOUlMeTxXmYbK4cJY9DNUXl3g1rtRVYxH90so7kTfJ63RXIIys2
 C+H0H64DwT7tkgx67di7jxVIS7n1H819gPd3MDAoWQ+sA4EgeeXIFWiAkAa4NwLFQuRG
 Zt730DF9Xf8jMTel27KWvuJznHXdpz5mCaBfiZ6hmj3Kai5nTEZubxRINnJ8mMfXp3oi
 LuKg==
X-Gm-Message-State: AHQUAuaJZhOHjUfI/d5jfR7p+n3FTY5jAKQ1/mYTdHuX7PW9crDiv8lT
 z4su2X42ZNSuPUgZIrOyGrpxaVu7xtfzqWQHd4LgEw==
X-Google-Smtp-Source: AHgI3IYpR10Mo0D8xsFZ1gY2en7C6SC/tjoTTDkKKpPcCAVWLyBt+B+CoehF7qO+2xwDOtX1Rg0loB8nkKm3c4Sh+cE=
X-Received: by 2002:a25:1189:: with SMTP id 131mr757133ybr.229.1550788274765; 
 Thu, 21 Feb 2019 14:31:14 -0800 (PST)
MIME-Version: 1.0
From: Jeffrey Spencer <jeffspencerd@HIDDEN>
Date: Fri, 22 Feb 2019 07:31:03 +0900
Message-ID: <CALmFPZ1vkLy1SpNgvOKK1RFP-QsEn_8yqCpH3Xrixe17mpONdw@HIDDEN>
Subject: 27.0.50; wdired gets rename file and directory errors when using gls
 and -F or --classify switch
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000003d42ef05826f085f"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::b2c
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 21 Feb 2019 17:53:07 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--0000000000003d42ef05826f085f
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

This is the only setup besides -Q default:
(setq insert-directory-program "gls" dired-use-ls-dired t)
(setq dired-listing-switches "-a --classify -lGhHA
--group-directories-first")
"-a --classify -lGhHA  --group-directories-first"

Renaming directories doesn't work right due to the --classify (-F) switches
using gls on Mac. Also, probably has problems with executables due to
adding '*' to the end of the file name but I didn't check. I had to right
an advice around wdired-change-mode to remove the switches and then re-add
the -F --classify.

Here is the errors with just a simple truing to add a character to any
directory:

Rename =E2=80=98/Users/Me/Downloads/youtube/test/k=E2=80=99 to
=E2=80=98/Users/Me/Downloads/youtube/test/k/=E2=80=99 failed:
(file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/k
/Users/Me/Downloads/youtube/test/k/k)
Rename =E2=80=98/Users/Me/Downloads/youtube/test/kdkd=E2=80=99 to
=E2=80=98/Users/Me/Downloads/youtube/test/kdkd/=E2=80=99 failed:
(file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/kdkd
/Users/Me/Downloads/youtube/test/kdkd/kdkd)
Rename =E2=80=98/Users/Me/Downloads/youtube/test/l=E2=80=99 to
=E2=80=98/Users/Me/Downloads/youtube/test/l/=E2=80=99 failed:
(file-error Renaming Invalid argument /Users/Me/Downloads/youtube/test/l
/Users/Me/Downloads/youtube/test/l/l)
Rename =E2=80=98/Users/Me/Downloads/youtube/test/kdkd/kdk=E2=80=99 to
=E2=80=98/Users/Me/Downloads/youtube/test/kdkd/kdk/=E2=80=99 failed:
(file-error Renaming Invalid argument
/Users/Me/Downloads/youtube/test/kdkd/kdk
/Users/Me/Downloads/youtube/test/kdkd/kdk/kdk)

4 rename actions failed

In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin15.6.0, NS appkit-1404.47
Version 10.11.6 (Build 15G22010))
of 2019-02-20 built on Jeffs-MacBook-Pro-2.local
Repository revision: 0a6c4479cff17b487580abe3a7ee202e71be25d2
Repository branch: master
Windowing system distributor 'Apple', version 10.3.1404
System Description:  Mac OS X 10.11.6

Recent messages:
C-c C-p is undefined
Press C-c C-c when finished or C-c ESC to abort changes
dired-create-directory: Cannot create directory
/Users/bigtyme/Downloads/youtube/test/kdkd: file exists
Press C-c C-c when finished or C-c ESC to abort changes
Creating directory for file /Users/bigtyme/Downloads/youtube/test/k/blah/
3 rename actions failed--type ? for details
Press C-c C-c when finished or C-c ESC to abort changes
3 rename actions failed--type ? for details
Press C-c C-c when finished or C-c ESC to abort changes
3 rename actions failed--type ? for details

Configured using:
'configure --disable-dependency-tracking --disable-silent-rules
--enable-locallisppath=3D/usr/local/share/emacs/site-lisp
--infodir=3D/usr/local/Cellar/emacs-plus/HEAD-0a6c447/share/info/emacs
--prefix=3D/usr/local/Cellar/emacs-plus/HEAD-0a6c447 --with-xml2
--without-dbus --with-gnutls --with-imagemagick --with-modules
--with-rsvg --with-ns --disable-ns-self-contained'

Configured features:
RSVG IMAGEMAGICK GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS NS MODULES THREADS PDUMPER LCMS2 GMP

Important settings:
 value of $LANG: en_AU.UTF-8
 locale-coding-system: utf-8-unix

Major mode: Dired

Minor modes in effect:
 tooltip-mode: t
 global-eldoc-mode: t
 electric-indent-mode: t
 mouse-wheel-mode: t
 tool-bar-mode: t
 menu-bar-mode: t
 file-name-shadow-mode: t
 global-font-lock-mode: t
 font-lock-mode: t
 blink-cursor-mode: t
 auto-composition-mode: t
 auto-encryption-mode: t
 auto-compression-mode: t
 buffer-read-only: t
 line-number-mode: t
 transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail wdired dired-aux mm-archive
message dired dired-loaddefs format-spec rfc822 mml mml-sec epa derived
gnus-util rmail rmail-loaddefs time-date mailabbrev gmm-utils mailheader
mm-decode mm-bodies mm-encode mail-utils gnutls network-stream url-http
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw
nsm rmc puny url-cache url-auth url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap epg
finder-inf package easymenu epg-config url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars seq byte-opt gv bytecomp byte-compile
cconv cl-loaddefs cl-lib elec-pair tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win
ucs-normalize mule-util term/common-win tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads kqueue cocoa ns lcms2 multi-tty make-network-process
emacs)

Memory information:
((conses 16 67245 11725)
(symbols 48 8118 1)
(strings 32 22680 2213)
(string-bytes 1 762050)
(vectors 16 12430)
(vector-slots 8 151079 17144)
(floats 8 18 181)
(intervals 56 554 0)
(buffers 992 17))

--0000000000003d42ef05826f085f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">This is the only setup besides -Q default:<div><div>(setq =
insert-directory-program &quot;gls&quot; dired-use-ls-dired t)</div><div>(s=
etq dired-listing-switches &quot;-a --classify -lGhHA=C2=A0 --group-directo=
ries-first&quot;)<br></div><div>&quot;-a --classify -lGhHA=C2=A0 --group-di=
rectories-first&quot;</div><div><br></div><div>Renaming directories doesn&#=
39;t work right due to the --classify (-F) switches using gls on Mac. Also,=
 probably has problems with executables due to adding &#39;*&#39; to the en=
d of the file name but I didn&#39;t check. I had to right an advice around =
wdired-change-mode to remove the switches and then re-add the -F --classify=
.</div><div><br></div><div>Here is the errors with just a simple truing to =
add a character to any directory:</div><div><br></div><div><div>Rename =E2=
=80=98/Users/Me/Downloads/youtube/test/k=E2=80=99 to =E2=80=98/Users/Me/Dow=
nloads/youtube/test/k/=E2=80=99 failed:</div><div>(file-error Renaming Inva=
lid argument /Users/Me/Downloads/youtube/test/k /Users/Me/Downloads/youtube=
/test/k/k)</div><div>Rename =E2=80=98/Users/Me/Downloads/youtube/test/kdkd=
=E2=80=99 to =E2=80=98/Users/Me/Downloads/youtube/test/kdkd/=E2=80=99 faile=
d:</div><div>(file-error Renaming Invalid argument /Users/Me/Downloads/yout=
ube/test/kdkd /Users/Me/Downloads/youtube/test/kdkd/kdkd)</div><div>Rename =
=E2=80=98/Users/Me/Downloads/youtube/test/l=E2=80=99 to =E2=80=98/Users/Me/=
Downloads/youtube/test/l/=E2=80=99 failed:</div><div>(file-error Renaming I=
nvalid argument /Users/Me/Downloads/youtube/test/l /Users/Me/Downloads/yout=
ube/test/l/l)</div><div>Rename =E2=80=98/Users/Me/Downloads/youtube/test/kd=
kd/kdk=E2=80=99 to =E2=80=98/Users/Me/Downloads/youtube/test/kdkd/kdk/=E2=
=80=99 failed:</div><div>(file-error Renaming Invalid argument /Users/Me/Do=
wnloads/youtube/test/kdkd/kdk /Users/Me/Downloads/youtube/test/kdkd/kdk/kdk=
)</div><div><br></div><div>4 rename actions failed</div><div><br></div></di=
v><div>In GNU Emacs 27.0.50 (build 1, x86_64-apple-darwin15.6.0, NS appkit-=
1404.47 Version 10.11.6 (Build 15G22010))<br>of 2019-02-20 built on Jeffs-M=
acBook-Pro-2.local<br>Repository revision: 0a6c4479cff17b487580abe3a7ee202e=
71be25d2<br>Repository branch: master<br>Windowing system distributor &#39;=
Apple&#39;, version 10.3.1404<br>System Description: =C2=A0Mac OS X 10.11.6=
<br><br>Recent messages:<br>C-c C-p is undefined<br>Press C-c C-c when fini=
shed or C-c ESC to abort changes<br>dired-create-directory: Cannot create d=
irectory /Users/bigtyme/Downloads/youtube/test/kdkd: file exists<br>Press C=
-c C-c when finished or C-c ESC to abort changes<br>Creating directory for =
file /Users/bigtyme/Downloads/youtube/test/k/blah/<br>3 rename actions fail=
ed--type ? for details<br>Press C-c C-c when finished or C-c ESC to abort c=
hanges<br>3 rename actions failed--type ? for details<br>Press C-c C-c when=
 finished or C-c ESC to abort changes<br>3 rename actions failed--type ? fo=
r details<br><br>Configured using:<br>&#39;configure --disable-dependency-t=
racking --disable-silent-rules<br>--enable-locallisppath=3D/usr/local/share=
/emacs/site-lisp<br>--infodir=3D/usr/local/Cellar/emacs-plus/HEAD-0a6c447/s=
hare/info/emacs<br>--prefix=3D/usr/local/Cellar/emacs-plus/HEAD-0a6c447 --w=
ith-xml2<br>--without-dbus --with-gnutls --with-imagemagick --with-modules<=
br>--with-rsvg --with-ns --disable-ns-self-contained&#39;<br><br>Configured=
 features:<br>RSVG IMAGEMAGICK GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB<b=
r>TOOLKIT_SCROLL_BARS NS MODULES THREADS PDUMPER LCMS2 GMP<br><br>Important=
 settings:<br>=C2=A0value of $LANG: en_AU.UTF-8<br>=C2=A0locale-coding-syst=
em: utf-8-unix<br><br>Major mode: Dired<br><br>Minor modes in effect:<br>=
=C2=A0tooltip-mode: t<br>=C2=A0global-eldoc-mode: t<br>=C2=A0electric-inden=
t-mode: t<br>=C2=A0mouse-wheel-mode: t<br>=C2=A0tool-bar-mode: t<br>=C2=A0m=
enu-bar-mode: t<br>=C2=A0file-name-shadow-mode: t<br>=C2=A0global-font-lock=
-mode: t<br>=C2=A0font-lock-mode: t<br>=C2=A0blink-cursor-mode: t<br>=C2=A0=
auto-composition-mode: t<br>=C2=A0auto-encryption-mode: t<br>=C2=A0auto-com=
pression-mode: t<br>=C2=A0buffer-read-only: t<br>=C2=A0line-number-mode: t<=
br>=C2=A0transient-mark-mode: t<br><br>Load-path shadows:<br>None found.<br=
><br>Features:<br>(shadow sort mail-extr emacsbug sendmail wdired dired-aux=
 mm-archive<br>message dired dired-loaddefs format-spec rfc822 mml mml-sec =
epa derived<br>gnus-util rmail rmail-loaddefs time-date mailabbrev gmm-util=
s mailheader<br>mm-decode mm-bodies mm-encode mail-utils gnutls network-str=
eam url-http<br>mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-=
prsvr url-gw<br>nsm rmc puny url-cache url-auth url url-proxy url-privacy u=
rl-expand<br>url-methods url-history url-cookie url-domsuf url-util mailcap=
 epg<br>finder-inf package easymenu epg-config url-handlers url-parse<br>au=
th-source cl-seq eieio eieio-core cl-macs eieio-loaddefs<br>password-cache =
json map url-vars seq byte-opt gv bytecomp byte-compile<br>cconv cl-loaddef=
s cl-lib elec-pair tooltip eldoc electric uniquify<br>ediff-hook vc-hooks l=
isp-float-type mwheel term/ns-win ns-win<br>ucs-normalize mule-util term/co=
mmon-win tool-bar dnd fontset image<br>regexp-opt fringe tabulated-list rep=
lace newcomment text-mode elisp-mode<br>lisp-mode prog-mode register page m=
enu-bar rfn-eshadow isearch timer<br>select scroll-bar mouse jit-lock font-=
lock syntax facemenu font-core<br>term/tty-colors frame cl-generic cham geo=
rgian utf-8-lang misc-lang<br>vietnamese tibetan thai tai-viet lao korean j=
apanese eucjp-ms cp51932<br>hebrew greek romanian slovak czech european eth=
iopic indian cyrillic<br>chinese composite charscript charprop case-table e=
pa-hook jka-cmpr-hook<br>help simple abbrev obarray minibuffer cl-preloaded=
 nadvice loaddefs<br>button faces cus-face macroexp files text-properties o=
verlay sha1 md5<br>base64 format env code-pages mule custom widget hashtabl=
e-print-readable<br>backquote threads kqueue cocoa ns lcms2 multi-tty make-=
network-process<br>emacs)<br><br>Memory information:<br>((conses 16 67245 1=
1725)<br>(symbols 48 8118 1)<br>(strings 32 22680 2213)<br>(string-bytes 1 =
762050)<br>(vectors 16 12430)<br>(vector-slots 8 151079 17144)<br>(floats 8=
 18 181)<br>(intervals 56 554 0)<br>(buffers 992 17))<br></div></div></div>

--0000000000003d42ef05826f085f--




Acknowledgement sent to Jeffrey Spencer <jeffspencerd@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#34610; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 24 Aug 2019 01:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.